{
  "name" : "awx-job-templates",
  "restApi" : true,
  "configKey" : "awx-job-templates",
  "payloadType" : "POST_PROCESSING",
  "config" : [ {
    "name" : "datasource_key",
    "type" : "STRING",
    "value" : "awx-job-templates-plain"
  }, {
    "name" : "groovy_script",
    "type" : "STRING",
    "value" : "def result = []\ndata.each{templates ->\n  templates.results.each{ template ->\n    if (parameters['name'] == template.name) {\n      result.add([id: template.id, name: template.name])\n    }\n  }\n}\nresult"
  } ]
}